TIME(1)

NAME
time - time command execution

SYNOPSIS
time [-l] command

DESCRIPTION
The time utility executes and times command by initiating a timer and passing the command to the shell. After the command finishes, time writes to the standard error stream, (in seconds): the total time elapsed, time consumed by system overhead, and the time used to execute the command process.

Available options:

-l  The contents of the rusage structure are printed as well.

The csh(1) has its own and syntactically different builtin version of time. The command described here is available as /usr/bin/time to csh users.

BUGS
The granularity of seconds on micro processors is crude and can result in times being reported for CPU usage which are too large by a second.

SEE ALSO
csh(1)

FILES
/usr/include/sys/resource.h

HISTORY
A time command appeared in AT&T UNIX.